/*search*/

.search-main {
    width: 100%;
    margin: 0 auto;
    position: relative;
    z-index: 2;
    overflow: visible;

    & > svg {
        width: 16px;
        height: 16px;
        fill: var(--gray-300);
        stroke: var(--gray-300);
        position: absolute;
        bottom: 0;
        cursor: pointer;
        transition: .3s;
        left: 14px;
        top: 50%;
        transform: translateY(-50%);
        z-index: 1;
    }

    input {
        width: 100%;
        padding: 18px 70px 18px 40px;
        border: 1px solid var(--gray-300);
        border-radius: 8px;
        outline: none;
        transition: all 0.3s;
        background-color: var(--white);
        height: 40px;
        color: var(--gray-600);

        &:focus {
            border-color: var(--red-600);
            background: white;
            box-shadow: 0 0 10px 0 rgba(250, 0, 0, 0.28);
        }
    }

    .clear-btn {
        position: absolute;
        transform: translateY(-50%);
        background: none;
        border: none;
        cursor: pointer;
        display: none;
        z-index: 2;
        width: 16px;
        height: 16px;
        flex-shrink: 0;
        right: 80px;
        top: 50%;

        svg {
            width: 16px;
            height: 16px;
            flex-shrink: 0;
            fill: var(--gray-600);
            stroke: var(--gray-600);
            transition: .3s;

            &:hover {
                fill: var(--gray-700);
                stroke: var(--gray-700);
            }
        }

    }

}

.search__box {
    display: flex;
    gap: 10px;
    margin-bottom: 15px;
}


.search-btn {
    padding: 0 15px;
    background: var(--red-700);
    color: var(--white);
    border: none;
    border-radius: 8px;
    font-size: 12px;
    cursor: pointer;
    transition: all 0.3s;
    display: flex;
    align-items: center;
    gap: 10px;
    white-space: nowrap;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;

    &:hover {
        background: var(--red-600);
        color: var(--white);
    }
}

.search-btn_color_white {
    background: var(--white);
    color: var(--gray-600);
    box-shadow: 0 10px 15px -3px rgb(0 0 0 / .1), 0 4px 6px -4px rgb(0 0 0 / .1);
}
